%define debug_package %{nil}

Name:		bloom
Version:	1.4.6
Release:	2%{?dist}
Summary:	NPS Bloom filter package (includes frag_find)

Group:		Applications/File
License:	GPLv2+
URL:		http://afflib.org/bloom
Source0:	http://afflib.org/downloads/%{name}-%{version}.tar.gz
Patch1:		%{name}-%{version}-patch-001
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	make gcc-c++ openssl-devel

%description
NPS Bloom filter package (includes frag_find)

frag_find is a program for finding blocks of one or more MASTER files in a disk IMAGE file. This is useful in cases where a MASTER file has been stolen and you wish to establish that the file has been present on a subject's drive. If most of the MASTER file's sectors are found on the IMAGE drive---and if the sectors are in consecutive sector runs---then the chances are excellent that the file was once there.


%prep
%setup -q
%patch1 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_bindir}/frag_find

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc INSTALL NEWS AUTHORS bloom.spec ChangeLog COPYING README doc/bloom_calc.pdf doc/bloom_math.pdf 
%{_bindir}/*


%changelog
* Fri Apr 12 2013 Lawrence R. Rogers <lrr@cert.org> - 1.4.6-2
* Release 1.4.6-2
	Removed frag_find since it is now packaged separately

* Tue Aug 2 2011 Morgan Weetman <mweetman@redhat.com> - 1.4.6-1
- Initial package

